Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.ui
Class UIString

    java.lang.Object
      |
      +--rj.tools.jcsc.ui.UIString

public class UIString
extends java.lang.Object

Class which represents a String on the JCSC UI.

Version:
  $Revision: 1.1 $
Author:
  Ralph Jocham

Constructor Summary
`UIString(java.lang.String string, java.lang.String name, java.lang.String category)` Creates a new UI String with the display string, the name of the string (unique id) and the category the string belongs to.

Method Summary
`java.lang.String` | `getCategory()` Return the category for the string
`java.lang.String` | `getName()` Return the name for the string
`java.lang.String` | `getString()` Returns the string to be displayed.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UIString

    public UIString(java.lang.String string,
                    java.lang.String name,
                    java.lang.String category)

  Creates a new UI String with the display string, the name of the string (unique id) and the category the string belongs to.
  Parameters:
    `string` -
    `name` -
    `category` -

Method Detail

### getString

    public java.lang.String getString()

  Returns the string to be displayed.
  Returns:
    String
  See Also:
    `toString()`

### getName

    public java.lang.String getName()

  Return the name for the string
  Returns:
    String

### getCategory

    public java.lang.String getCategory()

  Return the category for the string
  Returns:
    String

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License